PCN(4)

NAME
pcn - AMD PCnet-PCI 10/100 Ethernet device

SYNOPSIS
pcn* at pci?
acphy* at mii?
amphy* at mii?
lxtphy* at mii?
nsphy* at mii?

DESCRIPTION
The pcn device driver supports Ethernet interfaces based on the AMD PCnet-PCI family of Ethernet chips. The chips supported by the pcn driver include:

•   Am79c970 PCnet-PCI Single-Chip Ethernet Controller for PCI Local Bus

•   Am79c970A PCnet-PCI II Single-Chip Full-Duplex Ethernet Controller for PCI Local Bus

•   Am79c971 PCnet-FAST Single-Chip Full-Duplex 10/100Mbps Ethernet Controller for PCI Local Bus

•   Am79c972 PCnet-FAST+ Enhanced 10/100Mbps PCI Ethernet Controller with OnNow Support

•   Am79c973/Am79c975 PCnet-FAST III Single-Chip 10/100Mbps PCI Ethernet Controller with Integrated PHY

PCnet-PCI chips are found on some Hewlett-Packard PCI Ethernet boards, and on the Allied Telesyn AT-2700TX PCI Ethernet board. They are also found on some processor evaluation boards as an example peripheral.

The pcn driver also supports the emulated PCnet-PCI interface provided by VMware.

SEE ALSO
acphy(4), amphy(4), arp(4), ifmedia(4), lxtphy(4), mii(4), netintro(4), nsphy(4), pci(4), ifconfig(8)

HISTORY
The pcn driver first appeared in NetBSD 1.6. OpenBSD support was added in OpenBSD 3.8.

AUTHORS
-nosplit The pcn driver was written by Jason R. Thorpe <thorpej@wasabisystems.com> and ported to OpenBSD by Brad Smith <brad@openbsd.org>.